com.independentsoft.exchange

## Class SyncFoldersResponse

- java.lang.Object
- - com.independentsoft.exchange.Response
  - - com.independentsoft.exchange.SyncFoldersResponse

-     public class SyncFoldersResponse
      extends Response

  This is used to identify the synchronization state.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Folder>` | `getCreatedFolders()` Gets a collection of folders to create in the local client store.
    `java.util.List<FolderId>` | `getDeletedFolders()` Gets a collection of folders to delete in the local client store.
    `boolean` | `getIncludesLastFolderInRange()` Gets whether the last item to synchronize has been included in the response.
    `java.lang.String` | `getState()` Gets the synchronization state.
    `java.util.List<Folder>` | `getUpdatedFolders()` Gets a collection of folders to update in the local client store.

    - ### Methods inherited from class com.independentsoft.exchange.Response

      `getDescriptiveLinkKey, getMessage, getResponseClass, getResponseCode, getServerVersionInfo, getXmlMessage, setServerVersionInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getState

          public java.lang.String getState()

      Gets the synchronization state. Contains a base64-encoded form of the synchronization data that is updated after each successful request.
      Returns:
        the state

    - #### getIncludesLastFolderInRange

          public boolean getIncludesLastFolderInRange()

      Gets whether the last item to synchronize has been included in the response.
      Returns:
        the includes last folder in range

    - #### getCreatedFolders

          public java.util.List<Folder> getCreatedFolders()

      Gets a collection of folders to create in the local client store.
      Returns:
        the created folders

    - #### getUpdatedFolders

          public java.util.List<Folder> getUpdatedFolders()

      Gets a collection of folders to update in the local client store.
      Returns:
        the updated folders

    - #### getDeletedFolders

          public java.util.List<FolderId> getDeletedFolders()

      Gets a collection of folders to delete in the local client store.
      Returns:
        the deleted folders